export class Tgeneral {
    constructor(
        public cChr1: string,
        public cChr2: string,
        public cChr3: string,
        public cChr4: string,
        public cChr5: string,
        public cChr6: string,
        public cChr7: string,
        public cChr8: string = '',
        public cChr9: string = '',
        public cChr10: string = '',
        public cChr11: string = '',
        public dDec1: number = 0,
        public dDec2: number = 0,
        public dDec3: number = 0,
        public dDec4: number = 0,
        public dDec5: number = 0,
        public dDec6: number = 0,
        public dDec7: number = 0,
        public dDec8: number = 0,
        public dDec9: number = 0,
        public dDec10: number = 0,
        public dDec11: number = 0,
        public fFec1: any = null,
        public fFec2: any = null,
        public fFec3: any = null,
        public fFec4: any = null,
        public fFec5: any = null,
        public fFec6: any = null,
        public fFec7: any = null,
        public fFec8: any = null,
        public fFec9: any = null,
        public fFec10: any = null,
        public fFec11: any = null,
        public iInt1: number = 0,
        public iInt2: number = 0,
        public iInt3: number = 0,
        public iInt4: number = 0,
        public iInt5: number = 0,
        public iInt6: number = 0,
        public iInt7: number = 0,
        public iInt8: number = 0,
        public iInt9: number = 0,
        public iInt10: number = 0,
        public iInt11: number = 0,
        public lLog1: any = 'no',
        public lLog2: any = 'no',
        public lLog3: any = 'no',
        public lLog4: any = 'no',
        public lLog5: any = 'no',
        public lLog6: any = 'no',
        public lLog7: any = 'no',
        public lLog8: any = 'no',
        public lLog9: any = 'no',
        public lLog10: any = 'no',
        public lLog11: any = 'no',
        public zDtz1: any = '',
        public zDtz2: any = '',
        public zDtz3: any = '',
        public zDtz4: any = '',
        public zDtz5: any = '',
        public zDtz6: any = '',
        public zDtz7: any = '',
        public zDtz8: any = '',
        public zDtz9: any = '',
        public zDtz10: any = '',
        public zDtz11: any = '',
    ) {}
}
